Texa DeskDevelopers

Client API · Contacts

Update a contact

PATCH/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}

Update a contact's attributes

Path parameters

inbox_identifierstringrequired

The identifier obtained from API inbox channel

contact_identifierstringrequired

The source id of contact obtained on contact create

Body application/json

identifierstring

External identifier of the contact

identifier_hashstring

Identifier hash prepared for HMAC authentication

emailstring

Email of the contact

namestring

Name of the contact

phone_numberstring

Phone number of the contact

avatarstring (binary)

Send the form data with the avatar image binary or use the avatar_url

custom_attributesobject

Custom attributes of the customer

Responses

200

Success

idinteger

Id of the contact

namestring

Name of the contact when available

emailstring

Email of the contact

phone_numberstring

Phone number of the contact

identifierstring

Identifier of the contact

blockedboolean

Whether the contact is blocked

additional_attributesobject

Additional attributes of the contact when present

custom_attributesobject

Custom attributes of the contact when present

contact_typestring

Contact type of the contact when available

country_codestring

Country code of the contact

last_activity_atstring

Last activity timestamp of the contact in ISO 8601 format

created_atstring

Created timestamp of the contact in ISO 8601 format

updated_atstring

Updated timestamp of the contact in ISO 8601 format

last_namestring

Last name of the contact

middle_namestring

Middle name of the contact

locationstring

Location of the contact

account_idinteger

Account id of the contact

company_idinteger

Company id of the contact

label_listarray of string

Labels applied to the contact

401

Unauthorized

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring